
ctools - Bug #1928

Make cscript symbolic links relative

02/22/2017 02:44 PM - Knödlseder Jürgen

Status: Rejected Start date: 02/22/2017

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

The cscript symbolic links relative to avoid that absolute paths are fixed like, e.g., in:

lrwxr-xr-x   1 jurgen  staff      88 22 fév 14:33 cscaldb ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cscaldb.py

lrwxr-xr-x   1 jurgen  staff      90 22 fév 14:33 csfindobs ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csfindobs.py

lrwxr-xr-x   1 jurgen  staff      91 22 fév 14:33 csiactcopy ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csiactcopy.py

lrwxr-xr-x   1 jurgen  staff      91 22 fév 14:33 csiactdata ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csiactdata.py

lrwxr-xr-x   1 jurgen  staff      90 22 fév 14:33 csiactobs ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csiactobs.py

lrwxr-xr-x   1 jurgen  staff      87 22 fév 14:33 csinfo ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csinfo.py

lrwxr-xr-x   1 jurgen  staff      91 22 fév 14:33 cslightcrv ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cslightcrv.py

lrwxr-xr-x   1 jurgen  staff      92 22 fév 14:33 csmodelinfo ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csmodelinfo.py

lrwxr-xr-x   1 jurgen  staff      93 22 fév 14:33 csmodelmerge ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csmodelmerge.py

lrwxr-xr-x   1 jurgen  staff      92 22 fév 14:33 csobs2caldb ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csobs2caldb.py

lrwxr-xr-x   1 jurgen  staff      89 22 fév 14:33 csobsdef ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csobsdef.py

lrwxr-xr-x   1 jurgen  staff      90 22 fév 14:33 csobsinfo ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csobsinfo.py

lrwxr-xr-x   1 jurgen  staff      87 22 fév 14:33 cspull ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cspull.py

lrwxr-xr-x   1 jurgen  staff      89 22 fév 14:33 csresmap ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csresmap.py

lrwxr-xr-x   1 jurgen  staff      93 22 fév 14:33 csroot2caldb ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csroot2caldb.py

lrwxr-xr-x   1 jurgen  staff      87 22 fév 14:33 cssens ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cssens.py

lrwxr-xr-x   1 jurgen  staff      87 22 fév 14:33 csspec ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csspec.py

lrwxr-xr-x   1 jurgen  staff      89 22 fév 14:33 cstsdist ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cstsdist.py

lrwxr-xr-x   1 jurgen  staff      93 22 fév 14:33 cstsmapmerge ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cstsmapmerge.py

lrwxr-xr-x   1 jurgen  staff      93 22 fév 14:33 cstsmapsplit ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/cstsmapsplit.py

lrwxr-xr-x   1 jurgen  staff      91 22 fév 14:33 csworkflow ->

 /Users/jurgen/Desktop/osxpackage/install/lib/python2.7/site-packages/cscripts/csworkflow.py

History
#2 - 02/24/2017 10:50 AM - Knödlseder Jürgen

- Status changed from New to Rejected

I finally did not implement the change since the package is not relocatable, hence it should be installed in /usr/local/gamma and tests should be

informed when installed in that location.

The current Mac OS X build and test scripts will rename any existing /usr/local/gamma folder to /usr/local/gamma.backup before doing the building

and test, and will restore the folder afterwards. This allows to preserve any existing information, and hopefully avoids any problems on the CI system.

Mark issue as "Rejected".

#3 - 03/03/2017 10:51 AM - Knödlseder Jürgen

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/06/2024 2/2

http://www.tcpdf.org

